'*******************************************************************************
'* Script Name:   bak2dwg_sendto.vbs
'* Created:       8.24.1999               
'* Author:        Gordon Price
'* Purpose:       Convert passed list of BAK files to DWG files
'* Usage:         Place shortcut to script in SendTo folder
'*                User selects files, right clicks and chooses
'*                shortcut from SendTo menu
'* History:       09.20.2003 - Revised by GP to use For Each loop   
'*******************************************************************************
Option Explicit
'*******************************************************************************
'* Variables
Dim objArguments
Dim objFileSystem
Dim objSourceFile
Dim strArgument
'*******************************************************************************
'* Main Script
' create basic objects
Set objArguments = WScript.Arguments
Set objFileSystem = CreateObject("Scripting.FileSystemObject")
' loop thru the arguments list
For Each strArgument In objArguments
   ' start Error trap
   On Error Resume Next
   ' set source file to the next argument
   Set objSourceFile = objFileSystem.GetFile(strArgument)
   ' if no Error then we have a file, not a folder or missing file
   If Err.Number = 0 Then
      'if the passed object is a BAK file copy to DWG & incrament success counter
      If objSourceFile.type = "BAK File" Then objSourceFile.Name = objSourceFile.Name & ".dwg"
   End If
' clear the Err object and continue For Each loop
Err.Clear
Next 
