'*******************************************************************************
'* Script Name:   bak2dwg_shell.vbs
'* Created:       8.24.1999               
'* Author:        Gordon Price
'* Purpose:       Convert passed BAK file to DWG file
'* Usage:         Implement via WindowsShellExtension
'*                (See ShellExtensions.doc)
'* History:       09.20.2003 - Revised by GP to use For Each loop   
'*                10.27.2003 - Revised by GP for ShellExtension usage
'*******************************************************************************
Option Explicit
'*******************************************************************************
'* Variables
Dim objArguments
Dim objFileSystem
Dim objSourceFile
'*******************************************************************************
'* Main Script
' create basic objects
Set objArguments = WScript.Arguments
Set objFileSystem = CreateObject("Scripting.FileSystemObject")
' start Error trap
On Error Resume Next
' set source file to argument(0)
Set objSourceFile = objFileSystem.GetFile(objArguments(0))
' if no error then rename file
If Err.Number = 0 Then objSourceFile.Name = objSourceFile.Name & ".dwg"


